# Mage2 Module FiloBlu OrderFlowRectifier

    ``filoblu/module-orderflowrectifier``

 - [Main Functionalities](#markdown-header-main-functionalities)
 - [Configuration](#markdown-header-configuration)
 - [Specifications](#markdown-header-specifications)


## Main Functionalities

Fixes stuck orders by fixing status, payment information or other order data.

A rectifier has been developed for each pf the following use case:

 - Ordine adyen fermo in order exported, mancano i dati del pagamento (MissingPaymentInfoRectifier)
 
 - Ordine adyen fermo in order exported. Lo state dell’ordine è rimasto in payment_review, oppure lo status semplicemente non è aggiornato. (PaymentReviewRectifier)
 
 - Invoice creata ma ordine non modificato nei campi “invoiced”, "paid" e "due". (InvoicedRectifier)
 
 - Ordine rimasto shipped, mentre dovrebbe essere complete. Tutti gli item sono invoiced e shipped. (ShippedRectifier)
 
 Rectifiers should be scheduled and ran regularly.


## Configuration

 - Enable Scheduled Operations (order_flow_rectifier/general/scheduled_ops_enabled) 

 - Enabled rectifiers (order_flow_rectifier/general/enabled_rectifiers)


## Specifications

 - Cronjob
	- filoblu_orderflowrectifier_rectifier
